API reference

Gradiated accepts OpenAI and Anthropic compatible inference requests, and native SystemOne decision requests.

Inference endpoints

You can use https://api.gradiated.com as the base URL in all SDKs.

MethodPathPurpose
GET/v1/modelsList accessible models.
POST/v1/chat/completionsSend an OpenAI Chat Completions request.
POST/v1/responsesSend an OpenAI Responses request.
POST/v1/messagesSend an Anthropic Messages request.
POST/v1/systemoneAsk Kev for choices, probabilities, and scores.

The model catalog is also available at /models. Use /v1/messages/count_tokens to count message input tokens.

For direct HTTP requests, send the API key as a bearer token:

Authorization: Bearer grad_...

See the SystemOne SDK guide for Kev examples and supported parameters.

View the API reference.